# Uses of Interface
io.dapr.client.DaprPreviewClient

Packages that use DaprPreviewClient
Package
Description
io.dapr.client

## Uses of DaprPreviewClient in io.dapr.client

Classes in io.dapr.client that implement DaprPreviewClient
Modifier and Type
Class
Description
`class`
`DaprClientImpl`
Implementation of the Dapr client combining gRPC and HTTP (when applicable).
Methods in io.dapr.client that return DaprPreviewClient
Modifier and Type
Method
Description
`DaprPreviewClient`
DaprClientBuilder.`buildPreviewClient()`
Build an instance of the Client based on the provided setup.